Take the 2-minute tour ×
WordPress Development Stack Exchange is a question and answer site for WordPress developers and administrators. It's 100% free, no registration required.

I did some quick looking around, but my PHP skills are pretty nascent. I am sure there is just a package that needs installing.

Edit to add additional information about the setup:

Using:

yum info php

I get the version of PHP as 5.1.6:

Name       : php
Arch       : i386
Version    : 5.1.6

More information, this is a VM running CentOS at GoDaddy:

CentOS release 5.4 (Final)
share|improve this question
add comment

3 Answers 3

up vote 3 down vote accepted

Upgrade to PHP 5.2 or above

The Error Message you see is by WordPress. It's very misleading what it basically saying is, that you need a PHP version >= 5.2 for that feature to work.

Please look into your operating systems documentation or contact technical support on how to update your PHP version. For CentOS, for example: CentOS HowTos: PHP 5.1 To 5.2

Keep Timezones Upgraded

To get the most out of PHP Timezone support, there is a PECL package that contains all the latest updates: timezonedb.

So next to upgrading PHP to a recent version, you can install that PECL package and keep it updated to get the latest timezone updates (last one was on August 16):

$ yum install php-pear php-devel
$ pecl install timezonedb
share|improve this answer
    
Upgraded to PHP 5.2 using the steps listed on wiki.centos.org/HowTos/PHP_5.1_To_5.2 and everything is working as expected. –  Larry Smithmier Aug 19 '10 at 17:26
    
Good to hear it solved your issue. I'll suggest improvements upstream: core.trac.wordpress.org/ticket/14656 . –  hakre Aug 20 '10 at 9:18
    
Great @hakre! Thanks! –  Larry Smithmier Aug 21 '10 at 20:52
add comment

wp-admin/options-general.php outputs the following error message:

Unfortunately, you have to manually update this for daylight saving time. The PHP Date/Time library is not supported by your web host.

It will output that block of code if the following PHP-provided functions are missing:

Many of these functions are provided by the DateTime family of classes. These have been part of PHP core since version 5.1/5.2, depending on the function in question. Though I hate to ask for clarification in an answer: What version of PHP is your host running?

share|improve this answer
    
To figure out which version of PHP you're running, upload a file called phpinfo.php to your server that contains the line <?php phpinfo(); ?>. Then visit this page in a web browser and you'll see what version of PHP you're running and what optional modules are installed. For more info, see php.net/manual/en/function.phpinfo.php. –  EAMann Aug 19 '10 at 15:02
    
Don't forget to remove that page or password protect the URL! :) –  Bobby Jack Aug 19 '10 at 15:20
    
I updated the question with the version. It is 5.1.6, do you need/should I get the phpinfo information anyway? Also, never worry about asking for clarification! You are the one helping me. –  Larry Smithmier Aug 19 '10 at 16:04
    
Also, php -v spits out the version number: PHP 5.2.10 (cli) (built: Nov 13 2009 11:24:03) Copyright (c) 1997-2009 The PHP Group Zend Engine v2.2.0, Copyright (c) 1998-2009 Zend Technologies –  Larry Smithmier Aug 19 '10 at 17:27
add comment

Smithmier:

UPDATE: I see by your update this doesn't apply to you but it would apply to many others with your same problem and as we're looking for general answers to questions that apply to more than just one person I'm going to leave it.


I'm assuming @hakre is right and if so and if your web host offers CPanel for you to administrate the technical bits of your web hosting account then here is where you can change your version of PHP:

Screenshot for PHP Configuration on CPanel

Which then takes you to this screen which is where you can change your version of PHP:

Changing your version of PHP on CPanel

share|improve this answer
    
Good answer. Always worth adding to the body of knowledge. –  Larry Smithmier Aug 19 '10 at 16:30
    
Yep, that's kinda what we are trying to do here! Good luck with your specific issue. –  MikeSchinkel Aug 19 '10 at 16:40
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.